/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing MetadataTreeExtractedDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class MetadataTreeExtractedDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for MetadataTreeExtractedDto
        //private MetadataTreeExtractedDto instance;

        public MetadataTreeExtractedDtoTests()
        {
            // TODO uncomment below to create an instance of MetadataTreeExtractedDto
            //instance = new MetadataTreeExtractedDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of MetadataTreeExtractedDto
        /// </summary>
        [Fact]
        public void MetadataTreeExtractedDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" MetadataTreeExtractedDto
            //Assert.IsType<MetadataTreeExtractedDto>(instance);
        }

        /// <summary>
        /// Test the property 'Path'
        /// </summary>
        [Fact]
        public void PathTest()
        {
            // TODO unit test for the property 'Path'
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'MetadataId'
        /// </summary>
        [Fact]
        public void MetadataIdTest()
        {
            // TODO unit test for the property 'MetadataId'
        }

        /// <summary>
        /// Test the property 'RawDataId'
        /// </summary>
        [Fact]
        public void RawDataIdTest()
        {
            // TODO unit test for the property 'RawDataId'
        }

        /// <summary>
        /// Test the property 'Definition'
        /// </summary>
        [Fact]
        public void DefinitionTest()
        {
            // TODO unit test for the property 'Definition'
        }
    }
}
